Add minimal support for "Waveform Presentation State" (Supplement 236)

2025-02-13 10:26 - Jorg Riesmeier

Status: Closed

Priority: Normal

Assignee:

Category: Library and Apps

Target version: 3.7.0

Module: dcmdata, dcmnet, demsr, etc.

Operating System:

Start date: 2025-02-13
Due date:

% Done: 100%
Estimated time: 5:00 hours
Compiler:

Description

Add minimal support for the new Storage SOP Classes that were introduced with Supplement 236.

That means, the definition of the UIDs, basic support to the network module (for transfer) and to the SR module.

History

#1 - 2025-03-24 10:54 - J6rg Riesmeier
- % Done changed from 0 to 60

Partly closed with commit f4667fd00 and e29a2e4f0.

#2 - 2025-03-24 10:56 - Jorg Riesmeier
- Estimated time set to 4:00 h

#3 - 2025-04-05 11:17 - J6rg Riesmeier

- Status changed from New to Closed

- % Done changed from 60 to 100

- Estimated time changed from 4:00 h to 5:00 h

Finally closed with commit 35d13f661.
https://dicom.nema.org/medical/dicom/Final/sup236_ft_WaveformPresentationState.pdf
